:root {
  --primary-color: #f2c744;
  --light: #f4f6f9;
  --dark: #000;
  --primary-font: 'Shadows Into Light', cursive;
  --secondary-font: 'Dancing Script', cursive;
}

* {
  box-sizing: border-box;
}

h1, h2, p {
  margin: 0;
}

.wrapper {
  min-height: 100%;
  display: grid;
  grid-template: minmax(7em, auto) 1fr minmax(5em, auto) / 1fr;
  grid-template-areas:
          "header"
          "main"
          "footer";
}

.header {
  box-shadow: 4px 4px 8px 0 rgba(34, 60, 80, 0.2);
  grid-area: header;
  display: grid;
  justify-content: center;
  justify-items: center;
  padding: 1em;
  margin: 0.5em;
}

.logo {
  width: 5em;
  height: auto;
}

.header h1 {
  font-family: var(--secondary-font);
}

.header p {
  font-family: var(--primary-font);
}

.main {
  grid-area: main;
  display: grid;
  grid-template: 1fr / minmax(auto, 2fr) minmax(auto, 1fr);
}

.gallery {
  grid-column: 1 / 2;
  box-shadow: 4px 4px 8px 0 rgba(34, 60, 80, 0.2);
  margin: 0.5em;
  height: fit-content;
}

.gallery-items {
  column-count: 3;
  column-gap: 2%;
  padding: 2em;
}

@media only screen and (max-width: 1280px) and (min-width: 768px) {
  .main {
    grid-template: auto / auto;
  }

  .gallery {
    grid-column: -1;
  }

  .gallery-items {
    column-count: 2;
  }

  .bio {
    grid-row: 1;
    grid-column: 1;
    position: relative !important;
  }
}

@media only screen and (max-width: 768px) {
  .main {
    grid-template: auto / auto;
  }

  .gallery {
    grid-column: -1;
  }

  .gallery-items {
    column-count: 1;
  }

  .bio {
    grid-row: 1;
    grid-column: 1;
    position: relative !important;
  }
}

.gallery-item {
  display: grid;
  grid-template-rows: 1fr auto;
  margin-bottom: 5%;
  break-inside: avoid;
}

.gallery-item img {
  width: 100%;
  object-fit: cover;
  border-radius: 5%;
  grid-row: 1 / -1;
  grid-column: 1;
}

.bio {
  grid-column: 2 / 3;
  box-shadow: 4px 4px 8px 0 rgba(34, 60, 80, 0.2);
  margin: 0.5em;
  padding: 1em;
  height: fit-content;
  position: sticky;
  top: 0;
  box-sizing: border-box;
}

.bio-header {
  display: grid;
  justify-items: center;
  text-align: center;
}

.avatar-container {
  display: inline-block;
  position: relative;
  width: 7em;
  height: 7em;
  overflow: hidden;
  border-radius: 50%;
}

.avatar-container img {
  width: auto;
  height: 100%;
  margin-left: -50px;
}

.bio-header h2 {
  font-family: var(--secondary-font);
}

.bio-header p {
  font-family: var(--primary-font);
  font-weight: bold;
}

.bio-text {
  text-align: center;
  font-family: var(--primary-font);
}

.bio-text p {
  margin: 1em;
}

.social-media-icons {
  display: grid;
  grid-template-columns: repeat(4, 1.3em);
  justify-items: center;
  justify-content: center;
}

.social-media-icons i {
  height: 1em;
  cursor: pointer;
}

.footer {
  grid-area: footer;
  display: grid;
  justify-items: center;
  text-align: center;
  box-shadow: 4px 4px 8px 0 rgba(34, 60, 80, 0.2);
  margin: 0.5em;
  padding: 1em;
  font-size: 0.8em;
}

.footer-logo {
  width: 4em;
  height: auto;
}

.footer h2 {
  font-family: var(--secondary-font);
}

.footer p {
  font-family: var(--primary-font);
}

.footer-copy p {
  font-family: var(--primary-font);
  font-size: 1.5em;
}